Send chat
Sends a chat message (or slash command) from the bot to the connected Minecraft server. Messages prefixed with "/" are routed as commands.
Sends a chat message (or slash command) from the bot to the connected Minecraft server. Messages prefixed with "/" are routed as commands.
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
message*string
The chat message to send. Treated as a literal chat message. To execute a slash command, include the leading "/"; the server will route it appropriately.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/chat:send" \ -H "Content-Type: application/json" \ -d '{ "message": "string" }'{ "result": { "actionId": "4a2794ff-94cb-4bac-8d36-d5fb36c563a0", "status": "BOT_ACTION_STATUS_UNSPECIFIED", "error": "string" }}How is this page?
